Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.pathfinding
Class PathFinder

    java.lang.Object
      net.minecraft.pathfinding.PathFinder

    public class PathFinder

extends Object

Constructor Summary
`PathFinder(IBlockAccess par1IBlockAccess, boolean par2, boolean par3, boolean par4, boolean par5)`

Method Summary
`PathEntity` | `createEntityPathTo(Entity par1Entity, Entity par2Entity, float par3)` Creates a path from one entity to another within a minimum distance
`PathEntity` | `createEntityPathTo(Entity par1Entity, int par2, int par3, int par4, float par5)` Creates a path from an entity to a specified location within a minimum distance
`static int` | `func_82565_a(Entity par0Entity, int par1, int par2, int par3, PathPoint par4PathPoint, boolean par5, boolean par6, boolean par7)`
`int` | `getVerticalOffset(Entity par1Entity, int par2, int par3, int par4, PathPoint par5PathPoint)` Checks if an entity collides with blocks at a position.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PathFinder

    public PathFinder(IBlockAccess par1IBlockAccess,
                      boolean par2,
                      boolean par3,
                      boolean par4,
                      boolean par5)

Method Detail

### createEntityPathTo

    public PathEntity createEntityPathTo(Entity par1Entity,
                                         Entity par2Entity,
                                         float par3)

  Creates a path from one entity to another within a minimum distance

### createEntityPathTo

    public PathEntity createEntityPathTo(Entity par1Entity,
                                         int par2,
                                         int par3,
                                         int par4,
                                         float par5)

  Creates a path from an entity to a specified location within a minimum distance

### getVerticalOffset

    public int getVerticalOffset(Entity par1Entity,
                                 int par2,
                                 int par3,
                                 int par4,
                                 PathPoint par5PathPoint)

  Checks if an entity collides with blocks at a position. Returns 1 if clear, 0 for colliding with any solid block, -1 for water(if avoiding water) but otherwise clear, -2 for lava, -3 for fence, -4 for closed trapdoor, 2 if otherwise clear except for open trapdoor or water(if not avoiding)

### func_82565_a

    public static int func_82565_a(Entity par0Entity,
                                   int par1,
                                   int par2,
                                   int par3,
                                   PathPoint par4PathPoint,
                                   boolean par5,
                                   boolean par6,
                                   boolean par7)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD